### Class method

# Gtk WidgetClass get_activate_signal

#### Declaration [src]

    guint
    gtk_widget_class_get_activate_signal (
      GtkWidgetClass* widget_class
    )

#### Description [src]

Retrieves the signal id for the activation signal.

The activation signal is set using `gtk_widget_class_set_activate_signal()`.

#### Return value

Type: `guint`

A signal id, or 0 if the widget class does not specify an activation signal.